API ReferenceapicommsGET /v1/threads/{id}

GET /v1/threads/\{id\}

Service: comms · operationId: (none)

Get a thread by its platform ID.

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Thread details

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "brand_id": {
      "type": "string"
    },
    "channel_cid": {
      "type": "string"
    },
    "participant_ids": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "brand_id",
    "channel_cid",
    "participant_ids",
    "created_at"
  ]
}

404 Thread not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

503 Thread service not available

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/threads/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"